// label {
//     font-weight: bold;
//     color: $primary;
//     font-size: .8rem;
//     text-transform: uppercase;
// }

input,
select,
textarea {
    width: 100%;
    transition: .2s;
    border: none;
    font-size: 1rem;
    color: $body-color;
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
    border-color: $primary;
}

::placeholder {
    color: rgba(0,0,0,0.4);
}

.bordered {
    padding: 6px 16px;
    border-radius: 20px;
    border: 2px solid #eee;
    margin-bottom: 20px;
}


.form-control {

    .control-validation {
        display: flex;
        justify-content: space-between;
        font-size: .85rem;

        p {
            background: rgba(255, 0, 0, .05);
            margin: 5px 0;
            padding: 1px 10px 0;
            border-radius: 10px;
        }
    }

    &.error {

        .bordered {
            border-color: $red;
        }

        .control-validation {
            color: $red;
        }
    }
}

mr-input + .help {
    margin-top: -15px;
}
